For the complete documentation index, see llms.txt. This page is also available as Markdown.

Available Access

List Available Bundles

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
granteestring · nullableOptional

Filters available bundles by the specified user, accepts ID or email. Defaults to the authenticated user

limitinteger · int32OptionalDefault: 100
namestring[] · nullableOptional

Filter available bundles by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

page_tokenstring · nullableOptional
Responses
200

OK

application/json
get/api/user/v1/available-access/bundles
GET /api/user/v1/available-access/bundles HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "items": [
    {
      "id": "text",
      "name": "text"
    }
  ],
  "pagination": {
    "next_page_token": "text"
  }
}

List Available Entitlements

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
granteestring · nullableOptional

Filters available access options by the specified user, accepts ID or email. Defaults to the authenticated user

integration_idstring · nullableOptional
integration_namestring · nullableOptional
limitinteger · int32OptionalDefault: 100
page_tokenstring · nullableOptional
permission_namestring[] · nullableOptional
resource_namestring · nullableOptional
resource_type_idstring[] · nullableOptional
Responses
200

OK

application/json
get/api/user/v1/available-access/entitlements
GET /api/user/v1/available-access/entitlements HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "items": [
    {
      "integration": {
        "id": "text",
        "name": "text"
      },
      "resource": {
        "id": "text",
        "source_id": "text",
        "type": {
          "id": "text",
          "label": "text"
        },
        "name": "text"
      },
      "permission": {
        "id": "text",
        "source_id": "text",
        "name": "text"
      }
    }
  ],
  "pagination": {
    "next_page_token": "text"
  }
}

Last updated

Was this helpful?